Name:           links
Version:        2.4
Release:        1
Summary:        Web browser running in both graphics and text mode

Group:          Applications/Internet
License:        GPLv2+
URL:            http://links.twibright.com/
Source0:        http://links.twibright.com/download/%{name}-%{version}.tar.bz2
Source1:        links.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  bzip2 >= 1.0.2-4
BuildRequires:  libpng-devel >= 1.2.46-1
BuildRequires:  libjpeg-devel >= 6b-7
BuildRequires:  libtiff-devel >= 3.9.4-2
BuildRequires:  openssl-devel >= 0.9.8
BuildRequires:  zlib-devel >= 1.2.3-3

Requires:       bzip2 >= 1.0.2-4
Requires:       libpng >= 1.2.46-1
Requires:       libjpeg >= 6b-7
Requires:       libtiff >= 3.9.4-2
Requires:       openssl >= 0.9.8
Requires:       zlib >= 1.2.3-3

Requires:       coreutils

Provides:       webclient
Provides:       text-www-browser

%description
Links is a web browser capable of running in either graphics or text mode.
It provides a pull-down menu system, renders complex pages, has partial HTML
4.0 support (including tables, frames and support for multiple character sets
and UTF-8), supports color and monochrome terminals and allows horizontal
scrolling.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --enable-graphics \
    --with-openssl=%{_prefix} \
    --with-x

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc doc/* AUTHORS BUGS KEYS TODO README COPYING
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 2.4-1
- updated to version 2.4

* Fri Nov 04 2011 Michael Perzl <michael@perzl.org> - 2.3-1
- first version for AIX V5.1 and higher
